%define nm_version          0.4.1
%define dbus_version        0.35
%define gtk2_version        2.6.0
%define openvpn_version     2.0.5
%define shared_mime_version 0.16-3

Summary: NetworkManager VPN integration for OpenVPN
Name: NetworkManager-openvpn
Version: 0.3.1
Release: 1
License: GPL
Group: System Environment/Base
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gtk2-devel             >= %{gtk2_version}
BuildRequires: dbus-devel             >= %{dbus_version}
BuildRequires: NetworkManager-devel   >= %{nm_version}
BuildRequires: GConf2-devel
BuildRequires: libgnomeui-devel
BuildRequires: gnome-keyring-devel
BuildRequires: libglade2-devel
BuildRequires: libpng-devel
PreReq: /usr/bin/update-desktop-database
PreReq: /usr/bin/gtk-update-icon-cache
Requires: gtk2             >= %{gtk2_version}
Requires: dbus             >= %{dbus_version}
Requires: NetworkManager   >= %{nm_version}
Requires: openvpn          >= %{openvpn_version}
Requires: shared-mime-info >= %{shared_mime_version}
Requires: GConf2
Requires: libgnomeui
Requires: gnome-keyring
Requires: libglade2

%description
This package contains software for integrating the OpenVPN VPN software
with NetworkManager and the GNOME desktop

%prep
%setup -q

%build
%configure
make

%install

%makeinstall

rm -f %{buildroot}%{_libdir}/lib*.la
rm -f %{buildroot}%{_libdir}/lib*.a

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig
/usr/bin/update-desktop-database > /dev/null
if [ -x /usr/bin/gtk-update-icon-cache ]; then
      /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor
fi

%postun
/sbin/ldconfig
/usr/bin/update-desktop-database > /dev/null
if [ -x /usr/bin/gtk-update-icon-cache ]; then
      /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor
fi

%files -f %{name}.lang
%defattr(-, root, root)

%doc AUTHORS ChangeLog NEWS README
%{_libdir}/lib*.so*
%{_libexecdir}/nm-openvpn-auth-dialog
%{_sysconfdir}/dbus-1/system.d/nm-openvpn-service.conf
%{_sysconfdir}/NetworkManager/VPN/nm-openvpn-service.name
%{_bindir}/nm-openvpn-service
%{_bindir}/nm-openvpn-service-openvpn-helper
%{_datadir}/gnome-vpn-properties/openvpn/nm-openvpn-dialog.glade
%{_datadir}/applications/nm-openvpn.desktop
%{_datadir}/icons/hicolor/48x48/apps/gnome-mime-application-x-openvpn-settings.png

%changelog
* Tue Dec 06 2005 Tim niemueller <tim@niemueller.de> 0.3-1
- Initial revision based on NetworkManager-vpnc spec

